### Method

# GLib Source set_priority

#### Declaration [src]

    void
    g_source_set_priority (
      GSource* source,
      gint priority
    )

#### Description [src]

Sets the priority of a source.

While the main loop is being run, a source will be dispatched if it is ready to be dispatched and no sources at a higher (numerically smaller) priority are ready to be dispatched.

A child source always has the same priority as its parent. It is not permitted to change the priority of a source once it has been added as a child of another source.

#### Parameters

`priority`

  Type: `gint`

  The new priority.